Package io.dapr.v1

# Interface DaprProtos.SubtleEncryptRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.SubtleEncryptRequest`, `DaprProtos.SubtleEncryptRequest.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.SubtleEncryptRequestOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getAlgorithm()`
Algorithm to use, as in the JWA standard.
`com.google.protobuf.ByteString`
`getAlgorithmBytes()`
Algorithm to use, as in the JWA standard.
`com.google.protobuf.ByteString`
`getAssociatedData()`
Associated Data when using AEAD ciphers (optional).
`String`
`getComponentName()`
Name of the component
`com.google.protobuf.ByteString`
`getComponentNameBytes()`
Name of the component
`String`
`getKeyName()`
Name (or name/version) of the key.
`com.google.protobuf.ByteString`
`getKeyNameBytes()`
Name (or name/version) of the key.
`com.google.protobuf.ByteString`
`getNonce()`
Nonce / initialization vector.
`com.google.protobuf.ByteString`
`getPlaintext()`
Message to encrypt.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getComponentName

String getComponentName()

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Returns:
  The componentName.

### getComponentNameBytes

com.google.protobuf.ByteString getComponentNameBytes()

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Returns:
  The bytes for componentName.

### getPlaintext

com.google.protobuf.ByteString getPlaintext()

     Message to encrypt.

`bytes plaintext = 2;`

Returns:
  The plaintext.

### getAlgorithm

String getAlgorithm()

     Algorithm to use, as in the JWA standard.

`string algorithm = 3;`

Returns:
  The algorithm.

### getAlgorithmBytes

com.google.protobuf.ByteString getAlgorithmBytes()

     Algorithm to use, as in the JWA standard.

`string algorithm = 3;`

Returns:
  The bytes for algorithm.

### getKeyName

String getKeyName()

     Name (or name/version) of the key.

`string key_name = 4 [json_name = "keyName"];`

Returns:
  The keyName.

### getKeyNameBytes

com.google.protobuf.ByteString getKeyNameBytes()

     Name (or name/version) of the key.

`string key_name = 4 [json_name = "keyName"];`

Returns:
  The bytes for keyName.

### getNonce

com.google.protobuf.ByteString getNonce()

     Nonce / initialization vector.
     Ignored with asymmetric ciphers.

`bytes nonce = 5;`

Returns:
  The nonce.

### getAssociatedData

com.google.protobuf.ByteString getAssociatedData()

     Associated Data when using AEAD ciphers (optional).

`bytes associated_data = 6 [json_name = "associatedData"];`

Returns:
  The associatedData.